AbstractGatewayDeltaEvent (Apache Geode 1.4.0)
Date: 2018-01-29

org.apache.geode.modules.gatewaydelta

## Class AbstractGatewayDeltaEvent

- java.lang.Object
- - org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent

- All Implemented Interfaces:
    java.io.Serializable, DataSerializable, GatewayDeltaEvent
  Direct Known Subclasses:
    GatewayDeltaCreateEvent, GatewayDeltaDestroyEvent

      public abstract class AbstractGatewayDeltaEvent
      extends java.lang.Object
      implements GatewayDeltaEvent, DataSerializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `key`
    `protected java.lang.String` | `regionName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGatewayDeltaEvent()`
    `AbstractGatewayDeltaEvent(java.lang.String regionName, java.lang.String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromData(java.io.DataInput in)` Reads the state of this object as primitive data from the given `DataInput`.
    `java.lang.String` | `getKey()`
    `Region` | `getRegion(Cache cache)`
    `java.lang.String` | `getRegionName()`
    `void` | `toData(java.io.DataOutput out)` Writes the state of this object as primitive data to the given `DataOutput`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.modules.gatewaydelta.GatewayDeltaEvent

      `apply`

- - ### Field Detail

    - #### regionName

          protected java.lang.String regionName

    - #### key

          protected java.lang.String key

  - ### Constructor Detail

    - #### AbstractGatewayDeltaEvent

          public AbstractGatewayDeltaEvent()

    - #### AbstractGatewayDeltaEvent

          public AbstractGatewayDeltaEvent(java.lang.String regionName,
                                           java.lang.String key)

  - ### Method Detail

    - #### getRegionName

          public java.lang.String getRegionName()

    - #### getKey

          public java.lang.String getKey()

    - #### getRegion

          public Region getRegion(Cache cache)

    - #### fromData

          public void fromData(java.io.DataInput in)
                        throws java.io.IOException,
                               java.lang.ClassNotFoundException

      Description copied from interface: `DataSerializable`
      Reads the state of this object as primitive data from the given `DataInput`.
      Specified by:
        `fromData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while reading from `in`
        `java.lang.ClassNotFoundException` - A class could not be loaded while reading from `in`

    - #### toData

          public void toData(java.io.DataOutput out)
                      throws java.io.IOException

      Description copied from interface: `DataSerializable`
      Writes the state of this object as primitive data to the given `DataOutput`.

      Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

      Specified by:
        `toData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while writing to `out`